<?php
class Estado extends Conectar
{
    public function get_estado()
    {
        $conectar = parent::conexion();
        parent::set_names();
        $sql = "SELECT * FROM estado";
        $stmt = $conectar->prepare($sql);
        $stmt->execute();
        return $stmt->fetchAll();
    }

    public function get_estado_id($Ccod_estID)
    {
        $conectar = parent::conexion();
        parent::set_names();
        $sql = "SELECT * FROM estado WHERE Ccod_estID = ?";
        $stmt = $conectar->prepare($sql);
        $stmt->execute([$Ccod_estID]);
        return $stmt->fetch(); // Utiliza fetch() en lugar de fetchAll()
    }

    public function insert_estado($Ccod_est, $Edescrip)
    {
        $conectar = parent::conexion();
        parent::set_names();
        $sql = "INSERT INTO estado (Ccod_est, Edescrip, Est_esta) VALUES (?, ?, 1)";
        $stmt = $conectar->prepare($sql);
        $stmt->execute([$Ccod_est, $Edescrip]);
        return true; // Opcional: Puedes devolver un indicador de éxito/fallo
    }

    public function update_estado($Ccod_estID, $Ccod_est, $Edescrip, $est_esta)
    {
        $conectar = parent::conexion();
        parent::set_names();
        $sql = "UPDATE estado 
                SET Ccod_est = ?, Edescrip = ?, Est_esta = ?
                WHERE Ccod_estID = ?";
        $stmt = $conectar->prepare($sql);
        $stmt->execute([$Ccod_est, $Edescrip, $est_esta, $Ccod_estID]);
        return true; // Opcional: Puedes devolver un indicador de éxito/fallo
    }
}
?>
